summaryrefslogtreecommitdiff
path: root/meta-google
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2022-04-29 00:26:44 +0300
committerWilliam A. Kennington III <wak@google.com>2022-06-11 21:52:14 +0300
commit1fbee91ecebd2d0bcc6f0ca4ce9431ae77ff265a (patch)
tree8d6eea1a3438fc997466486b253e9c3a8f87987a /meta-google
parentd583833a9a54248703bfc1ec48e2c98515f06899 (diff)
downloadopenbmc-1fbee91ecebd2d0bcc6f0ca4ce9431ae77ff265a.tar.xz
meta-google: gbmc-update: Allow multi-image
We have a few machines where mutliple images are served to the BMC. We want to allow for both images to be stored without processing. Change-Id: I20d342981a5139d26b71c2e10c4861ae9dfbe432 Signed-off-by: William A. Kennington III <wak@google.com>
Diffstat (limited to 'meta-google')
-rw-r--r--meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
index f002b22c77..9d55eeec53 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
+++ b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
@@ -45,7 +45,9 @@ gbmc_upgrade_fetch() (
# Ensure some sane output file limit
# Currently no BMC image is larger than 64M
- ulimit -H -f $((96 * 1024 * 1024)) || return
+ # We want to allow 2 images and a small amount of metadata (2*64+2)M
+ local max_mb=$((2*64 + 2))
+ ulimit -f $((max_mb * 1024 * 1024 / 512)) || return
timeout=$((SECONDS + 300))
while (( SECONDS < timeout )); do
local st=(0)